Subject: RE: Unable to get CRON to work
From: "Harig, Mark" <[email-masked]>
To: PLAN Frédéric URS Lyon <[email-masked]>, "Sachar, Bradley (NIH/OD)" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 21 Apr 2004 15:32:42 -0400

1. Please send all replies to the mailing list.  This
   could help to get your problem resolved more
   quickly because more people will be able to
   see your problem description.

2. I did not see any mention in your message below that
   you had run the cron_diagnose.sh script.  This
   script will NOT change anything on your computer,
   and it should help to find many common problems.

   The intent of this script is to help reduce the
   number of messages sent to the mailing lists that
   are just repetitions of things that people should
   try when installing/using cron.

   You may find a copy of this script here:

http://sources.redhat.com/ml/cygwin/2004-03/msg00379.html

   Please download this (small) script, run it, and
   read its results.  Each time is finds a problem, it
   stops to provide information to the user.  You may
   have to re-run it several times to find all of the
   problems with your setup.  Please read its results
   carefully, even if it says it can find NO problems.

3. From your message below, it looks as though you
   are still logged on as the Administrator.  Are you
   logged on to Windows as 'administrator'?  If so,
   then you might want to log off and log on as an
   ordinary user.  Alternatively, if you are already
   logged on as an ordinary user, then did you start
   a second window / bash session after you made the
   changes to /etc/passwd and /etc/group?  The changes
   you made to those files do not take effect until
   you login after changing the files.

> -----Original Message-----
> Sent: Wednesday, April 21, 2004 2:56 PM
> To: 'Sachar, Bradley (NIH/OD)'
> Cc: Harig, Mark
> Subject: RE: Unable to get CRON to work
> 
> Hello,
> 
> I permit to write you directly out of context of mailing list.
> 
> Did you resolv your problem of crontab ? So maybe can you 
> bring me good help...
> 
> I've got the same problem, and it would be so stupid to give 
> up cygwin because of that.
> 
> I passed command mkgroup -l > /etc/group and mkpasswd > /etc/passwd
> 
> $ cat /etc/group
> root:S-1-5-32-544:0:
> SYSTEM:S-1-5-18:18:
> Aucun:S-1-5-21-796845957-823518204-725345543-513:513:
> Administrateurs:S-1-5-32-544:544:Administrateur
> Duplicateurs:S-1-5-32-552:552:
> Invités:S-1-5-32-546:546:Invité,TsInternetUser
> Opérateurs de sauvegarde:S-1-5-32-551:551:
> Utilisateurs:S-1-5-32-545:545:sshd
> Utilisateurs avec pouvoir:S-1-5-32-547:547:
> 
> $ cat /etc/passwd
> SYSTEM:*:18:544:,S-1-5-18::
> Administrateurs:*:544:544:,S-1-5-32-544::
> Administrateur:unused_by_nt/2000/xp:500:547:U-CSOCMCAWCG\Admin
> istrateur,S-1-5-21-796845957-823518204-725345543-500:/home/Adm
> inistrateur:/bin/bash
> Invité:unused_by_nt/2000/xp:501:513:U-CSOCMCAWCG\Invité,S-1-5-
> 21-796845957-823518204-725345543-501:/home/Invité:/bin/bash
> sshd:unused_by_nt/2000/xp:1001:513:sshd 
> privsep,U-CSOCMCAWCG\sshd,S-1-5-21-796845957-823518204-7253455
> 43-1001:/var/empty:/bin/bash
> TsInternetUser:unused_by_nt/2000/xp:1000:513:TsInternetUser,U-
> CSOCMCAWCG\TsInternetUser,S-1-5-21-796845957-823518204-7253455
> 43-1000:/home/TsInternetUser:/bin/bash
> 
> The cron file "Administrateur" beyongs Administrateur's user :
> 
> Administrateur@csocmcawcg /var/cron/tabs
> $ ls -al
> total 1
> drwxrwxrwt+   2 Administ Utilisat        0 Apr 21 20:18 .
> drwxrwxrwt+   3 Administ Utilisat        0 Apr  9 18:23 ..
> -rwxrwxrwx    1 Administ SYSTEM        329 Apr 21 20:18 Administrateur
> 
> And in desesperation, I put all rights (777) to this file, 
> but nothing's is efficient.
> 
> Please, what is the best solution to activate the cron fonction ?
> 
> Scuse for my bad english langage... ;o)
> Fred.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/